<form class="form" [formGroup]="form">
    <div class="row">
        <div class="col">
            <h3><i class="pi pi-id-card mr-2"></i> ADATOK</h3>
        </div>
        <div class="col">
            <button pButton pRipple label="VISSZA" icon="pi pi-arrow-left" class="p-button-secondary p-button-outlined p-mr-2 float-end" (click)="back()"></button>
        </div>
    </div>
    <div class="form-group form-box mt-3">
        <fieldset class="form-group">
            <div class="form-floating mb-2">
                <input type="text" class="form-control" id="firstName" formControlName="firstName">
                <label for="firstName">Vezetéknév *</label>
            </div>
            <div class="form-floating mb-2">
                <input type="text" class="form-control" id="lastName" formControlName="lastName">
                <label for="lastName">Keresztnév *</label>
            </div>
            <div class="form-floating mb-2">
                <input type="text" class="form-control" id="userName" formControlName="userName">
                <label for="userName">Felhasználónév *</label>
            </div>
            <div class="form-floating mb-2">
                <input type="password" class="form-control" id="password" formControlName="password">
                <label for="password">Jelszó *</label>
                <p class="text-muted text-left small">Tartalmazzon kis és nagybetűt, számot és min. 5 karakter hosszú legyen.</p>
            </div>
            <div class="form-floating mb-2">
                <input type="text" class="form-control" id="phoneNumber" formControlName="phoneNumber">
                <label for="phoneNumber">Telefonszám</label>
            </div>
            <div class="form-floating mb-2">
                <input type="email" class="form-control" id="email" formControlName="email">
                <label for="email">Email</label>
            </div>
            <div class="form-group">
                <div class="d-grid gap-2">
                    <button class="btn btn-primary" type="button" (click)="save()" [disabled]="form.invalid">MENTÉS</button>
                </div>
            </div>
        </fieldset>
    </div>
</form>
